uses
  SysUtils;
var
  i, n : integer;
  a : array[1..100000] of int64;
begin
  reset(input, 'sequence.in');
  rewrite(output, 'sequence.out');
  n := 0;
  while not seekeof do begin
    inc(n);
  	read(a[n]);
  end;
  for i := n downto 1 do write(a[i], ' ');
end.